Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -36,5 +36,5 @@
   [Item("BestAntTrailAnalyzer", "An operator for analyzing the best ant trail of an artificial ant problem.")]
   [StorableClass]
-  public sealed class BestAntTrailAnalyzer : SingleSuccessorOperator, IAntTrailAnalyzer {
+  public sealed class BestAntTrailAnalyzer : SingleSuccessorOperator, IAntTrailAnalyzer, ISingleObjectiveOperator {
     public bool EnabledByDefault {
       get { return true; }
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/IAntTrailAnalyzer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/IAntTrailAnalyzer.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/IAntTrailAnalyzer.cs	(revision 12395)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/AntInterpreter.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/AntInterpreter.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/AntInterpreter.cs	(revision 12395)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/AntTrail.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/AntTrail.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/AntTrail.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntExpressionGrammar.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntExpressionGrammar.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntExpressionGrammar.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntProblem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntProblem.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntProblem.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -180,4 +180,7 @@
       InitializeOperators();
       RegisterEventHandlers();
+
+      ArtificialAntExpressionGrammar.MaximumFunctionDefinitions = MaxFunctionDefinitions.Value;
+      ArtificialAntExpressionGrammar.MaximumFunctionArguments = MaxFunctionArguments.Value;
     }
 
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Evaluator.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Evaluator.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Evaluator.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/HeuristicLab.Problems.ArtificialAnt-3.4.csproj
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/HeuristicLab.Problems.ArtificialAnt-3.4.csproj	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/HeuristicLab.Problems.ArtificialAnt-3.4.csproj	(revision 12395)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Problems.ArtificialAnt</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.ArtificialAnt-3.4</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -46,4 +46,5 @@
     <WarningLevel>4</WarningLevel>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
@@ -55,4 +56,5 @@
     <WarningLevel>4</WarningLevel>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
@@ -64,4 +66,5 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
@@ -73,4 +76,5 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -82,4 +86,5 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
@@ -91,4 +96,5 @@
     <ErrorReport>prompt</ErrorReport>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <Prefer32Bit>false</Prefer32Bit>
   </PropertyGroup>
   <ItemGroup>
@@ -212,5 +218,5 @@
   -->
   <PropertyGroup>
-   <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+    <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
 set ProjectDir=$(ProjectDir)
 set SolutionDir=$(SolutionDir)
@@ -219,5 +225,5 @@
 call PreBuildEvent.cmd
 </PreBuildEvent>
-<PreBuildEvent Condition=" '$(OS)' != 'Windows_NT' ">
+    <PreBuildEvent Condition=" '$(OS)' != 'Windows_NT' ">
 export ProjectDir=$(ProjectDir)
 export SolutionDir=$(SolutionDir)
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Plugin.cs.frame
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Plugin.cs.frame	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Plugin.cs.frame	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.ArtificialAnt {
-  [Plugin("HeuristicLab.Problems.ArtificialAnt","Provides all necessary classes to solve the artificial ant problem.", "3.4.6.$WCREV$")]
+  [Plugin("HeuristicLab.Problems.ArtificialAnt","Provides all necessary classes to solve the artificial ant problem.", "3.4.7.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.ArtificialAnt-3.4.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Properties/AssemblyInfo.cs.frame	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Properties/AssemblyInfo.cs.frame	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2014 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2015 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.4.0.0")]
-[assembly: AssemblyFileVersion("3.4.6.$WCREV$")]
+[assembly: AssemblyFileVersion("3.4.7.$WCREV$")]
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs	(revision 11205)
+++ branches/HiveStatistics/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs	(revision 12395)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
